Package uk.ac.starlink.votable

## Class DataFormat

- java.lang.Object
- - uk.ac.starlink.votable.DataFormat

    public class DataFormat
    extends java.lang.Object

Class of objects representing the different serialization formats into which VOTable cell data can be written. This class exemplifies the typesafe enum pattern.

Author:
  Mark Taylor (Starlink)

### Field Summary

Fields
`static DataFormat` `BINARY` Raw binary format.
`static DataFormat` `BINARY2` Binary format with additional null flags.
`static DataFormat` `FITS` FITS format.
`static DataFormat` `TABLEDATA` TABLEDATA format (pure XML).

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TABLEDATA

    public static final DataFormat TABLEDATA

TABLEDATA format (pure XML).

#### FITS

    public static final DataFormat FITS

FITS format.

#### BINARY

    public static final DataFormat BINARY

Raw binary format.

#### BINARY2

    public static final DataFormat BINARY2

Binary format with additional null flags. VOTable 1.3+ only.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`